
Core - Task # 41274

Task # 37081 (Resolved): Remove deprecated functions

Status: Resolved Priority: Should have
Author: Georg Ringer Category:
Created: 2012-09-23 Assigned To:
Updated: 2012-09-25 Due date:
TYPO3 Version: 6.0
PHP Version:
Complexity:
Sprint Focus:
Subject: ext:beuser call to deprecated Typo3QuerySettings->setRespectEnableFields()
Description

22-09-12 23:56: TYPO3\CMS\Extbase\Persistence\Generic\Typo3QuerySettings->setRespectEnableFields() - since Extbase 6.0, will
be removed in Extbase 6.2. Use setIgnoreEnableFields() and setEnableFieldsToBeIgnored() instead. -
TYPO3\CMS\Extbase\Core\Bootstrap->callModule#47 // TYPO3\CMS\Extbase\Core\Bootstrap->run#288 //
TYPO3\CMS\Extbase\Core\Bootstrap->handleWebRequest#200 //
TYPO3\CMS\Extbase\Mvc\Web\BackendRequestHandler->handleRequest#226 //
TYPO3\CMS\Extbase\Mvc\Dispatcher->dispatch#46 // TYPO3\CMS\Beuser\Controller\BackendUserController->processRequest#99
// TYPO3\CMS\Extbase\Mvc\Controller\ActionController->processRequest#78 //
TYPO3\CMS\Extbase\Mvc\Controller\ActionController->callActionMethod#167 // call_user_func_array#265 //
TYPO3\CMS\Beuser\Controller\BackendUserController->indexAction# //
TYPO3\CMS\Beuser\Domain\Repository\BackendUserRepository->findDemanded#125 //
TYPO3\CMS\Beuser\Domain\Repository\BackendUserRepository->createQuery#56 //
TYPO3\CMS\Extbase\Persistence\Generic\Typo3QuerySettings->setRespectEnableFields#121 //
TYPO3\CMS\Core\Utility\GeneralUtility::logDeprecatedFunction#179
(typo3\sysext\extbase\Classes\Persistence\Generic\Typo3QuerySettings.php#178)
2

Associated revisions
Revision 13677fe8 - 2012-09-25 23:13 - Georg Ringer

[TASK] Fix deprecated call in beuser's repository

Typo3QuerySettings->setRespectEnableFields() is deprecated

Change-Id: Ibfaba37b04e657a9957f23ebb7d16d50ff79814d
Resolves: #41274
Releases: 6.0
Reviewed-on: http://review.typo3.org/14956
Reviewed-by: Philipp Gampe
Tested-by: Philipp Gampe
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

History
#1 - 2012-09-23 00:42 - Gerrit Code Review
http://review.typo3.org/14956


- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14956

#2 - 2012-09-25 23:30 - Georg Ringer
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:13677fe8664b2f06bad6389d842eb915d046687c.
